%define with_dbus 1

Name:           gossip
Version:        0.10.1
Release:        1%{?dist}
Summary:        Gnome Jabber Client

Group:          Applications/Communications
License:        GPL
URL:          	http://www.imendio.com/projects/gossip/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{version}/%{name}-%{version}.tar.bz2
Patch0:		%{name}-gtk26.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	loudmouth-devel >= 1.0
BuildRequires:	libgnomeui-devel
BuildRequires:	xorg-x11-devel
BuildRequires:	libxslt-devel
BuildRequires:	desktop-file-utils
BuildRequires:	aspell-devel
BuildRequires:	gettext
BuildRequires:	scrollkeeper

%if %{with_dbus}
BuildRequires:	dbus-devel >= 0.31
%endif

Requires(pre):	GConf2
Requires(post):	GConf2
Requires(post):	scrollkeeper
Requires(preun): GConf2
Requires(postun): scrollkeeper

%description
Gossip aims at making Jabber easy to use and tries to give GNOME users a
real user friendly way of chatting with their friends.


%prep
%setup -q
%patch0 -p1 -b .gtk26


%build
%configure \
%if %{with_dbus}
	--enable-dbus=yes
%else
	--enable-dbus=no
%endif

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

desktop-file-install --vendor fedora --delete-original	\
  --dir $RPM_BUILD_ROOT%{_datadir}/applications   	\
  --add-category X-Fedora			        \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :
    killall -HUP gconfd-2 || :
fi


%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
killall -HUP gconfd-2 || :
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :


%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
    killall -HUP gconfd-2 || :
fi


%postun
scrollkeeper-update -q || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README NEWS
%{_bindir}/%{name}
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_sysconfdir}/sound/events/%{name}.soundlist
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/%{name}.png
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.glade
%{_datadir}/%{name}/*.png
%{_datadir}/%{name}/*.dtd
%{_datadir}/%{name}/%{name}-log.xsl
%dir %{_datadir}/%{name}/protocols
%{_datadir}/%{name}/protocols/*
%dir %{_datadir}/sounds/%{name}
%{_datadir}/sounds/%{name}/*.wav
%{_datadir}/omf/%{name}/
%{_datadir}/gnome/help/%{name}/


%changelog
* Sat Feb 25 2006 Brian Pepple <bdpepple@ameritech.net> - 0.10.1-1
- Update to 0.10.1.

* Sat Feb 18 2006 Brian Pepple <bdpepple@ameritech.net> - 0.10-2
- Add patch to use gtk 2.6 icon.

* Sat Feb 18 2006 Brian Pepple <bdpepple@ameritech.net> - 0.10-1
- Update to 0.10.
- Add help files.
- Add scriptlets & BR for scrollkeeper.
- Remove unnecessary BR (libxml2-devel, libglade2-devel, GConf2-devel,
  gnome-vfs2-devel, libgcrypt-devel).
- Add BR for xorg-x11-devel.

* Wed Aug 31 2005 Brian Pepple <bdpepple@ameritech.net> - 0.9-3
- Add missing COPYING file to docs.

* Sun Aug 14 2005 Brian Pepple <bdpepple@ameritech.net> - 0.9-2
- Add aspell-devel BR, so spell-checking is enabled.

* Sun Aug 14 2005 Brian Pepple <bdpepple@ameritech.net> - 0.9-1
- Remove dbus patch.
- Add version for loudmouth & dbus deps.
- Change location of wav files.
- Add soundlist & dtd to files.
- Update to 0.9.

* Mon May 23 2005 Brian Pepple <bdpepple@ameritech.net> - 0.8-5
- Add patch to fix dbus support, and build.

* Fri May 13 2005 Brian Pepple <bdpepple@ameritech.net> - 0.8-4
- Add dist tag.

* Fri May  6 2005 Brian Pepple <bdpepple@ameritech.net> - 0.8-3
- Add ownership for unclaimed directories.
- Disable dbus support due to api changes, and since it is experimental in Gossip anyway.

* Sun May  1 2005 Brian Pepple <bdpepple@ameritech.net> - 0.8-2
- Actually package the protocols.

* Sun May  1 2005 Brian Pepple <bdpepple@ameritech.net> - 0.8-1
- Initial Fedora build.

